io.vertx.rxjava.ext.shell

## Class Shell

- java.lang.Object
- - io.vertx.rxjava.ext.shell.Shell

-     public class Shell
      extends Object

  An interactive session between a consumer and a shell.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shell(Shell delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the shell.
    `Job` | `createJob(List<CliToken> line)` Create a job, the created job should then be executed with the `Job.run()` method.
    `Job` | `createJob(String line)` See `createJob(java.util.List<io.vertx.rxjava.ext.shell.cli.CliToken>)`
    `Object` | `getDelegate()`
    `JobController` | `jobController()`
    `static Shell` | `newInstance(Shell arg)`
    `Session` | `session()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Shell

          public Shell(Shell delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### createJob

          public Job createJob(List<CliToken> line)

      Create a job, the created job should then be executed with the `Job.run()` method.
      Parameters:
        `line` - the command line creating this job
      Returns:
        the created job

    - #### createJob

          public Job createJob(String line)

      See `createJob(java.util.List<io.vertx.rxjava.ext.shell.cli.CliToken>)`
      Parameters:
        `line` -
      Returns:

    - #### jobController

          public JobController jobController()

      Returns:
        the shell's job controller

    - #### session

          public Session session()

      Returns:
        the current shell session

    - #### close

          public void close()

      Close the shell.

    - #### newInstance

          public static Shell newInstance(Shell arg)

Copyright © 2016. All rights reserved.